##
##  zed.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
%define       V_zed_base  1.2.0
%define       V_zed_snap  20220714

#   package information
Name:         zed
Summary:      Tools for Structured Data
URL:          https://zed.brimdata.io/
Vendor:       Brim Security Inc.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Text
License:      BSD
Version:      %{V_zed_base}.%{V_zed_snap}
Release:      20220714

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/zed/zed-%{V_zed_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Zed offers a new approach to data that makes it easier to manipulate
    and manage your data. With Zed's new super-structured data model,
    messy JSON data can easily be given the fully-typed precision of
    relational tables without giving up JSON's uncanny ability to
    represent eclectic data.

%track
    prog zed:base = {
        version   = %{V_zed_base}
        url       = https://github.com/brimdata/zed/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }
    prog zed:snap = {
        version   = %{V_zed_snap}
        url       = http://download.openpkg.org/components/versioned/zed/
        regex     = zed-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n zed

%build
    #   build program
    export GOPATH=`pwd`
    cd $GOPATH/src/github.com/brimdata/zed
    go build -v -o zc.exe  cmd/zc/*.go
    go build -v -o zed.exe cmd/zed/*.go
    go build -v -o zq.exe  cmd/zq/*.go
    go build -v -o zst.exe cmd/zst/*.go

%install
    #   create directory hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/brimdata/zed/zc.exe \
        $RPM_BUILD_ROOT%{l_prefix}/bin/zc
    %{l_shtool} install -c -s -m 755 \
        src/github.com/brimdata/zed/zed.exe \
        $RPM_BUILD_ROOT%{l_prefix}/bin/zed
    %{l_shtool} install -c -s -m 755 \
        src/github.com/brimdata/zed/zq.exe \
        $RPM_BUILD_ROOT%{l_prefix}/bin/zq
    %{l_shtool} install -c -s -m 755 \
        src/github.com/brimdata/zed/zst.exe \
        $RPM_BUILD_ROOT%{l_prefix}/bin/zst

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

